PlanDocket

Services

Business+

Retrieve available services.

Read Only This endpoint only supports GET requests.
Required scopes: services
Access level: GET services:read About access levels
Feature flag: services

Endpoints

GET /api/v1/services

List all services

GET /api/v1/services/{id}

Retrieve a single service

Query Parameters

Parameter Description
search Search term to filter results
category_id Filter by service category ID
event_key Filter by event key
is_active Filter by active status (0 or 1)
include Include related data (category)

Response Schema

Field Type
id integer
category_id integer|null
category_name string|null
service_key string|null
service_name string
description string|null
short_description string|null
unit string
unit_label string|null
base_price float
tax_rate float
min_quantity integer
max_quantity integer|null
quantity_step integer
requires_specification boolean
specification_label string|null
specification_placeholder string|null
lead_time_days integer
image_filename string|null
is_active boolean
sort_order integer
created_at string
updated_at string

Code Examples

curl -X GET "https://your-tenant.plandocket.com/api/v1/services" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
<?php
$apiKey = 'YOUR_API_KEY';
$baseUrl = 'https://your-tenant.plandocket.com';

$ch = curl_init();
curl_setopt_array($ch, [
    CURLOPT_URL => $baseUrl . '/api/v1/services',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $apiKey,
    ],
]);

$response = curl_exec($ch);
curl_close($ch);

$data = json_decode($response, true);
print_r($data);
const apiKey = 'YOUR_API_KEY';
const baseUrl = 'https://your-tenant.plandocket.com';

const response = await fetch(`${baseUrl}/api/v1/services`, {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${apiKey}`,
  },
});

const data = await response.json();
console.log(data);
import requests

api_key = 'YOUR_API_KEY'
base_url = 'https://your-tenant.plandocket.com'

headers = {
    'Authorization': f'Bearer {api_key}',
}

response = requests.get(f'{base_url}/api/v1/services', headers=headers)
data = response.json()
print(data)

Sample Response

200 OK
{
    "data": [
        {
            "id": 1,
            "category_id": 1,
            "category_name": "string",
            "service_key": "string",
            "service_name": "string",
            "description": "string",
            "short_description": "string",
            "unit": "string",
            "unit_label": "string",
            "base_price": 100,
            "tax_rate": 100,
            "min_quantity": 1,
            "max_quantity": 1,
            "quantity_step": 1,
            "requires_specification": true,
            "specification_label": "string",
            "specification_placeholder": "string",
            "lead_time_days": 1,
            "image_filename": "string",
            "is_active": true,
            "sort_order": 1,
            "created_at": "2026-01-15T10:00:00+01:00",
            "updated_at": "2026-01-15T10:00:00+01:00"
        }
    ],
    "meta": {
        "current_page": 1,
        "per_page": 25,
        "total": 1,
        "total_pages": 1
    }
}